Create an email
curl --request POST \
--url https://api.inflection.io/v1/emails \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"html": "<string>",
"subject": "<string>",
"fromEmail": {
"email": "<string>",
"name": "<string>"
},
"replyTo": "<string>",
"preheader": "<string>"
}
'import requests
url = "https://api.inflection.io/v1/emails"
payload = {
"name": "<string>",
"html": "<string>",
"subject": "<string>",
"fromEmail": {
"email": "<string>",
"name": "<string>"
},
"replyTo": "<string>",
"preheader": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
html: '<string>',
subject: '<string>',
fromEmail: {email: '<string>', name: '<string>'},
replyTo: '<string>',
preheader: '<string>'
})
};
fetch('https://api.inflection.io/v1/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"editorUrl": "<string>"
},
"pagination": {
"pageNumber": 1,
"pageSize": 20,
"totalElements": 151,
"totalPages": 8
},
"errors": [
{
"errorCode": "<string>",
"message": "<string>",
"detail": "<string>"
}
],
"meta": {
"timestamp": "2023-11-07T05:31:56Z"
}
}Emails
Create an email
Emails are create and read over the API. After creating, you can edit the HTML via the returned editorUrl; fetch it back with Get an email.
- Only HTML emails can be created via the API: pass the full email
body in the
htmlfield. - The from-email domain must be org-approved, otherwise
400 UnapprovedEmailDomainException. - HTML tokens are validated; an unknown token returns
400 UnknownVariablesException. - A duplicate name returns
409 TEMPLATE_ALREADY_EXISTS.
POST
/
v1
/
emails
Create an email
Authorizations
Personal Access Token or OAuth 2.1 access token, sent as a bearer credential. READ permission for GET, WRITE for POST/PATCH/DELETE.
Body
application/json
Was this page helpful?
⌘I